
import pygame.mouse
import pygame.sprite

from .loader import loader


class Cursor(pygame.sprite.Sprite):

    def __init__(self):
        super(Cursor, self).__init__()
        self._active = False

    def activate(self, name, group, transform=None):
        if transform:
            self.image = loader.load_image('cursors', name + '.png',
                                           transform=transform)
        else:
            self.image = loader.load_image('cursors', name + '.png')
        self.rect = self.image.get_rect()
        self._active = True
        group.empty()
        group.add(self)
        pygame.mouse.set_visible(0)

    def deactivate(self, group):
        self._active = False
        pygame.mouse.set_visible(1)
        group.empty()

    def update(self):
        if self._active:
            self.rect.center = pygame.mouse.get_pos()
